Bug 244158 - sys.geom.class.multipath.misc.fail_on_error is failing on 12-STABLE
Summary: sys.geom.class.multipath.misc.fail_on_error is failing on 12-STABLE
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: tests (show other bugs)
Version: 12.1-STABLE
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-testing mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-16 09:02 UTC by Li-Wen Hsu
Modified: 2020-05-22 22:19 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu freebsd_committer 2020-02-16 09:02:26 UTC
https://ci.freebsd.org/job/FreeBSD-stable-12-amd64-test/1960/testReport/junit/sys.geom.class.multipath/misc/fail_on_error/

Fail: incorrect exit status: 1, expected: 0
stdout:

stderr:
gnop: illegal option -- q
usage: gnop create [-v] [-e error] [-o offset] [-p stripesize] [-P stripeoffset] [-r rfailprob] [-s size] [-S secsize] [-w wfailprob] [-z physpath] dev ...
       gnop configure [-v] [-e error] [-r rfailprob] [-w wfailprob] prov ...
       gnop destroy [-fv] prov ...
       gnop reset [-v] prov ...
       gnop help
       gnop list [-a] [name ...]
       gnop status [-ags] [name ...]
       gnop load [-v]
       gnop unload [-v]

Files left in work directory after failure: md.devs, multipath.devs
Comment 1 commit-hook freebsd_committer 2020-02-16 09:13:39 UTC
A commit references this bug:

Author: lwhsu
Date: Sun Feb 16 09:13:05 UTC 2020
New revision: 357994
URL: https://svnweb.freebsd.org/changeset/base/357994

Log:
  Skip sys.geom.class.multipath.misc.fail_on_error on stable/12

  The required feature is not in stable/12 yet.

  PR:		244158
  Sponsored by:	The FreeBSD Foundation

Changes:
  stable/12/tests/sys/geom/class/multipath/misc.sh
Comment 2 commit-hook freebsd_committer 2020-05-08 02:42:34 UTC
A commit references this bug:

Author: asomers
Date: Fri May  8 02:42:16 UTC 2020
New revision: 360807
URL: https://svnweb.freebsd.org/changeset/base/360807

Log:
  Fix the sys.geom.class.multipath.misc.fail_on_error test on stable/12

  This test uses a gnop feature (delay probability) that isn't available on
  stable/12.  But it's unnecessary; the test works fine without it.  Removing
  it simplifies the test and, once MFCed, will allow it to pass on stable/12.

  PR:		244158
  Reported by:	lwhsu
  MFC after:	2 weeks

Changes:
  head/tests/sys/geom/class/multipath/misc.sh
Comment 3 commit-hook freebsd_committer 2020-05-22 19:10:18 UTC
A commit references this bug:

Author: asomers
Date: Fri May 22 19:09:44 UTC 2020
New revision: 361403
URL: https://svnweb.freebsd.org/changeset/base/361403

Log:
  MFC r360807:

  Fix the sys.geom.class.multipath.misc.fail_on_error test on stable/12

  This test uses a gnop feature (delay probability) that isn't available on
  stable/12.  But it's unnecessary; the test works fine without it.  Removing
  it simplifies the test and, once MFCed, will allow it to pass on stable/12.

  PR:		244158
  Reported by:	lwhsu

Changes:
_U  stable/12/
  stable/12/tests/sys/geom/class/multipath/misc.sh
Comment 4 commit-hook freebsd_committer 2020-05-22 22:18:43 UTC
A commit references this bug:

Author: asomers
Date: Fri May 22 22:17:45 UTC 2020
New revision: 361407
URL: https://svnweb.freebsd.org/changeset/base/361407

Log:
  Reenable sys.geom.class.multipath.misc.fail_on_error on stable/12

  The failing test was fixed by r361403.  Direct commit to stable/12 because
  the test was never disabled on head.

  PR:		244158
  Reported by:	lwhsu

Changes:
  stable/12/tests/sys/geom/class/multipath/misc.sh